gears(6x)

NAME
gears - draw interlocking gears, for xscreensaver.

SYNOPSIS
gears [--display host:display.screen] [--window] [--root] [--window-id number][--install] [--visual visual] [--delay usecs] [--speed float] [--no-spin] [--no-wander] [-count integer] [-wireframe] [-fps]

DESCRIPTION
This draws a set of rotating gears.

OPTIONS
gears accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--delay usecs
    The delay between frames of the animation, in microseconds. Default: 30000 (0.03 seconds.)

--speed float
    Larger numbers mean run faster. Default: 1.0.

--no-spin
    Don't rotate the object.

--no-wander
    Don't wander the object around the screen.

--count integer
    How many gears to draw. Default: 0 for random.

--wireframe
    Render in wireframe instead of solid.

--fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2007 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.

An earlier version of this program by Brian Paul was written in 1997; this version was rewritten from scratch by jwz in 2007.